claw::graph< S, A, Comp >::graph_vertex_iterator Class Reference

Iterator on the graph's vertices. More...

`#include <graph.hpp>`

## Public Types

typedef const vertex_type | value_type
typedef const vertex_type & | reference
typedef const vertex_type *const | pointer
typedef ptrdiff_t | difference_type
typedef std::bidirectional_iterator_tag | iterator_category

## Public Member Functions

graph_vertex_iterator & | operator++ ()
graph_vertex_iterator | operator++ (int)
graph_vertex_iterator & | operator-- ()
graph_vertex_iterator | operator-- (int)
reference | operator* () const
pointer | operator-> () const
bool | operator== (const graph_vertex_iterator &it) const
bool | operator!= (const graph_vertex_iterator &it) const

## Friends

class | graph< vertex_type, edge_type, vertex_compare >

## Detailed Description

template<class S, class A = meta::no_type, class Comp = std::less<S>>
class claw::graph< S, A, Comp >::graph_vertex_iterator

Iterator on the graph's vertices.

Definition at line 106 of file graph.hpp.

## Member Typedef Documentation

## difference_type

template<class S, class A = meta::no_type, class Comp = std::less<S>>

typedef ptrdiff_t claw::graph< S, A, Comp >::graph_vertex_iterator::difference_type

Definition at line 114 of file graph.hpp.

## iterator_category

template<class S, class A = meta::no_type, class Comp = std::less<S>>

typedef std::bidirectional_iterator_tag claw::graph< S, A, Comp >::graph_vertex_iterator::iterator_category

Definition at line 116 of file graph.hpp.

## pointer

template<class S, class A = meta::no_type, class Comp = std::less<S>>

typedef const vertex_type* const claw::graph< S, A, Comp >::graph_vertex_iterator::pointer

Definition at line 113 of file graph.hpp.

## reference

template<class S, class A = meta::no_type, class Comp = std::less<S>>

typedef const vertex_type& claw::graph< S, A, Comp >::graph_vertex_iterator::reference

Definition at line 112 of file graph.hpp.

## value_type

template<class S, class A = meta::no_type, class Comp = std::less<S>>

typedef const vertex_type claw::graph< S, A, Comp >::graph_vertex_iterator::value_type

Definition at line 111 of file graph.hpp.

## Friends And Related Symbol Documentation

## graph< vertex_type, edge_type, vertex_compare >

template<class S, class A = meta::no_type, class Comp = std::less<S>>

friend class graph< vertex_type, edge_type, vertex_compare >

friend

Definition at line 269 of file graph.hpp.

The documentation for this class was generated from the following file:

- graph.hpp